"""General helper functions for the student section.
"""

from random import SystemRandom as r
from waeup.sirp.students.vocabularies import academic_sessions_vocab

def generate_student_id(students,letter):
    if letter == '?':
        letter= r().choice('ABCDEFGHKLMNPQRSTUVWXY')
    sid = u"%c%d" % (letter,r().randint(99999,1000000))
    while sid in students.keys():
        sid = u"%c%d" % (letter,r().randint(99999,1000000))
    return sid

def set_returning_data(student):
    student['studycourse'].current_level += 100
    student['studycourse'].current_session += 1
    verdict = student['studycourse'].current_verdict
    student['studycourse'].current_verdict = '0'
    student['studycourse'].previous_verdict = verdict
    return

# To be defined in customization packages
def getPaymentDetails(category, student):
    p_session = None
    surcharge_1 = surcharge_2 = surcharge_3 = 0
    p_item = u''
    amount = 0
    return amount, p_item, p_session, surcharge_1, surcharge_2, surcharge_3
